// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// Z O M B I E   T O R R E N T   2
// MAIN DEBUGGING FILE
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

// ------------------------/
// Debug spawners
// ------------------------/

script "SpawnerDebug" (void) NET
{
	for (int i=0; i<spawnSpotsSize; i++)
	{
		if (spawnSpots[i].Pulses > 0)
			PrintBold(s:"YES");
		else
			PrintBold(s:"NO");
	}
	
	SpawnZombie();
}

// ------------------------/
// Debug players
// ------------------------/

script "PlayerDebug" (void) NET
{
	str debugString = "\cDPLAYER DEBUG:\n";
	debugString = StrParam(s:debugString, s:"\cIWE ARE PLAYER \cK", d:PlayerNumber(), s:"\n\n");
	
	for (int i=0; i<MAXPLAYERS; i++)
	{
		if (!PlayerInGame(i) && !PlayerIsSpectator(i))
			continue;
			
		str AliveString = PlayerState[i].Alive ? "\cDALIVE" : "\cGDEAD";
		str ReadyString = PlayerState[i].Ready ? "\cKREADY" : "\cINOT READY";
		
		str nameString = StrParam(n:i);
		
		debugString = StrParam(s:debugString, s:"\cJ", d:i, s:". ");
		debugString = StrParam(s:debugString, s:nameString, s:" - ", s:AliveString, s:" ", s:ReadyString, s:"\n");
	}
	
	Print(s:debugString);
	Print(s:"\cDCheck console for results.");
}

// ------------------------/
// Debug traders
// ------------------------/

script "TraderDebug" (void) NET
{
	str debugString = "\cDTRADER DEBUG:\n";
	
	for (int i=0; i<TraderArraySize; i++)
	{
		debugString = StrParam(s:debugString, s:"\cJ", d:i, s:". ");
		debugString = StrParam(s:debugString, s:"\cKDoor ID: \cJ", d:TraderArray[i].DoorID);
		debugString = StrParam(s:debugString, s:" \Spot ID: \cJ", d:TraderArray[i].SpotID, s:"\n");
	}
	
	PrintBold(s:debugString);
}