// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// Z O M B I E   T O R R E N T   2
// TRADER ARRAY FUNCTIONALITY
//
// Stores an array of all available traders on the current level
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

struct TraderEntry
{
	int DoorID;					// Which tag are we going to use for the door?
	int SpotID;					// Which tag are we going to use for the spot?
	int SpotCount;				// How many teleport spots do we have?
};

struct TraderEntry TraderArray[MAXIMUM_TRADERS];
int TraderArraySize;

// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

// ------------------------/
// Register a trader to the array
// ------------------------/

void RegisterTrader(int dID, int sID, int sCount)
{
	TraderArray[TraderArraySize].DoorID = dID;
	TraderArray[TraderArraySize].SpotID = sID;
	TraderArray[TraderArraySize].SpotCount = sCount;
	TraderArraySize ++;
}

// ------------------------/
// Which trader do we want to use?
// ------------------------/

int ChooseTrader()
{
	return Random(0, TraderArraySize-1);
}