
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// Q U I C K   G R E N A D E
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

script "QuickGrenade" (void)
{
	SetWeapon("GrenadeWeapon");
}

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// Q U I C K   S Y R I N G E
// SERVER
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

script "QuickSyringe" NET
{
	if (CheckInventory("QuickHealing") || !HealingAllowed())
		terminate;
		
	GiveInventory("QuickHealing", 1);
	SetWeapon("Syringe");
}

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// K E Y   H A N D L E R
// Clientside script, all input events are puked to the server
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

script "KeyHandler" (void) CLIENTSIDE
{
	while (ClassifyActor(0) & ACTOR_ALIVE)
	{
		// Reload!
		if (ButtonPressed(BT_RELOAD))
		{
			if (!CheckInventory("TryReloading") && !CheckInventory("IsReloading"))
				NamedRequestScriptPuke("ServerTryReloading", 0, 0, 0);
		}
			
		// ADS
		if (ButtonPressed(BT_ZOOM))
		{
			if (!CheckInventory("TryIronSights"))
				NamedRequestScriptPuke("ServerTryZoom", 1, 0, 0);
		}

		delay(1);
	}
	
	delay(35);
}

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// SERVERSIDE RELOAD ATTEMPT
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

script "ServerTryReloading" (void) NET
{
	InvEnsure("TryReloading", 1);
	delay(1);
	InvEnsure("TryReloading", 0);
}

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// SERVERSIDE ZOOM ATTEMPT
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

script "ServerTryZoom" (void) NET
{
	InvEnsure("TryIronSights", 1);
	delay(1);
	InvEnsure("TryIronSights", 0);
}